
#language: ru

@carc

Функционал: 006. CARC. Установка цен

Сценарий: 006.1. CARC. Установка цен

	Дано Я подключаюсь под "Ценообразование"
	Дано я удаляю объекты "Документы.к2УстановкаЦенНоменклатуры" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Заказы' 'История изменения цен'
	Тогда я жду открытия окна 'История изменения цен' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка цен (создание)'
	И Я добавляю вид цены "Ашан" в документ установка цен
	И в поле 'от' я ввожу текст '01.08.2019'
	И в поле 'Комментарий' я ввожу текст 'Установка цен (тара)'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И я нажимаю кнопку очистить у поля "ОтборПоТипуНоменклатуры"
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'  |
		| 'Коробка синяя' |
		И я нажимаю на кнопку 'Иерархия'
	И Я подбираю номенклатуру "Коробка синяя"
	И Я подбираю номенклатуру "Пластиковый палет"
	И Я подбираю номенклатуру "Творожный сырок"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Коробка синяя" и цены "ДеревоЦенНоваяЦена_1" цену "100,00"
	И Я устанавливаю для номенклатуры "Пластиковый палет" и цены "ДеревоЦенНоваяЦена_1" цену "200,00"
	И Я устанавливаю для номенклатуры "Творожный сырок" и цены "ДеревоЦенНоваяЦена_1" цену "150,00"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка цен (создание) *' в течение 20 секунд
	Тогда открылось окно 'История изменения цен'
	И Я закрываю окно 'История изменения цен'

Сценарий: 006.2. CARC. Завершение

	И я закрываю сеанс TESTCLIENT